package cn.com.qmth.stmms.common.enums;

/**
 * 评卷员绑定的账号类型
 */
public enum AccountType {

    USER("系统用户"), OPEN_ACCOUNT("外部账号");

    private String name;

    private AccountType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static AccountType findByName(String text) {
        for (AccountType obj : AccountType.values()) {
            if (obj.getName().equalsIgnoreCase(text)) {
                return obj;
            }
        }
        return null;
    }

}
